function t=toy1_cov ( nData ) 

    load ../data/example_data5000

    yeq = example_train_data.yeq; 
    ueq = example_train_data.ueq; 
    utrain = example_train_data.utrain(1:nData); 
    xtrain = example_train_data.xtrain(1:nData); 
    ytrain = example_train_data.ytrain(1:nData); 

    % build training data (delayed outputs y first) 
    input = [yeq ueq; xtrain utrain]; 
    target = [yeq; ytrain]; 

    % covariance function: SE + white noise 
    covfunc = {'covSEard','covNoise'}; 

    % to get the number of hyperparameters you could use: feval(covfunc{:})
    D = size(input,2); 

    profile on
    profile clear
    
    % call the covariance function 
    for i=1:100
        logtheta0 = -rand(D+2,1); 
        C = gcovsum ( covfunc, logtheta0, input );
    end

    % get the profiling data
    s = profile('info');
    % get the timing from profiling data
    t = s.FunctionTable(1).TotalTime;
    profile off
    
    % reset allocated memory
    gcovsum ( [], [], [] );

