function make_figures()

    xdata = 0:500:5000;
    xdata(1)=100;
    xlimits = [0,5000];
    
    nat = load ( '..\mex\results_nat.mat' );
    mex = load ( '..\mex\results_mex.mat' );
    jck = load ( '..\jacket\results_jck.mat' );
    par = load ( '..\paralleltoolbox\results_par.mat' );
    cud = load ( '..\cuda\results_cud.mat' );
    
    ydata = [ nat.times ; mex.times ; jck.times ; par.times ; cud.times ];
    
    fh = figure(1);
    clf(fh);
    set ( fh, 'PaperUnits', 'centimeters' );
    set ( fh, 'PaperSize',  [7.5,7.5] );
    set ( fh, 'PaperPosition', [0,0,7.5,7.5] );
    set ( gca, 'LineWidth', 2 );
    lh = semilogy ( xdata, ydata );
    set ( lh(1), 'LineStyle', '--', 'LineWidth', 3 );
    set ( lh(2), 'LineWidth', 1.5 );
    set ( lh(3), 'LineStyle', '--', 'LineWidth', 1.5 );
    set ( lh(4), 'LineStyle', '-.', 'LineWidth', 1.5 );
    set ( lh(5), 'LineStyle', ':',  'LineWidth', 1.5 );
    xlim ( xlimits );
    legend ( { 'native', 'mex', 'jacket', 'p.toolbox', 'cuda' }, 'Location', 'SouthEast' );
    xlabel ( 'Input length' );
    ylabel ( 'Time [s]' );
    ylim([0.03,300]);
    set(gca,'YTickLabel',[0.01,0.1,1,10,100]);
    saveas ( fh, 'time.eps' );
    
    ydata = [ nat.times ./ mex.times ; 
              nat.times ./ jck.times ; 
              nat.times ./ par.times ; 
              nat.times ./ cud.times ];
    
    fh = figure(2);
    clf(fh);
    set ( fh, 'PaperUnits', 'centimeters' );
    set ( fh, 'PaperSize',  [7.5,7.5] );
    set ( fh, 'PaperPosition', [0,0,7.5,7.5] );
    lh = semilogy ( xdata, ydata );
    set ( lh(1), 'LineWidth', 1.5 );
    set ( lh(2), 'LineStyle', '--', 'LineWidth', 1.5  );
    set ( lh(3), 'LineStyle', '-.', 'LineWidth', 1.5  );
    set ( lh(4), 'LineStyle', ':', 'LineWidth', 1.5 );
    %line ( xlimits, [1,1], 'Color', [0.5,0.5,0.5], 'LineWidth', 0.5, 'LineStyle', '-.' );
    xlim ( xlimits );
    legend ( { 'mex', 'jacket', 'p.toolbox', 'cuda' }, 'Location', 'SouthEast' );
    xlabel ( 'Input length' );
    ylabel ( 'Speedup [-]' );
    ylim([0.1,30]);
    set(gca,'YTickLabel',[0.1,1,10,100]);
    saveas ( fh, 'speedup.eps' );

    